Home

# Class goog.testing.mockmatchers.ArgumentMatcher

A simple interface for executing argument matching. A match in this case is testing to see if a supplied object fits a given criteria. True is returned if the given criteria is met.

Instance Method Summary
| `matches(<Any Type> toVerify, ?goog.testing.MockExpectation= opt_expectation) ⇒ boolean` A function that takes a match argument and an optional MockExpectation which (if provided) will get error information and returns whether or not it matches.